Bug 514805 - Patch 125953-19 does not get converted to mpm by solaris2mpm.
Patch 125953-19 does not get converted to mpm by solaris2mpm.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Solaris (Show other bugs)
520
All Linux
high Severity high
: ---
: ---
Assigned To: Miroslav Suchý
Martin Minar
:
Depends On:
Blocks: sat531-triage 596147
  Show dependency treegraph
 
Reported: 2009-07-30 16:18 EDT by Issue Tracker
Modified: 2016-07-03 20:54 EDT (History)
8 users (show)

See Also:
Fixed In Version: rhnpush-5.3.1-6
Doc Type: Bug Fix
Doc Text:
The solaris2mpm utility now recognizes both "x86" and "X86" as valid architecture strings.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-20 11:33:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2009-07-30 16:18:16 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Issue Tracker 2009-07-30 16:18:18 EDT
Event posted on 07-22-2009 11:00am EDT by savas

solaris2mpm gets the architecture a patch applies to from the README.* file in the patch. The _normalize_arch function in solaris2mpm.py does not understand the x86 value in the "Relevant Architectures" field.

At the bottom of this entry is a patch to _normalize_arch that adds x86 as valid architectures (converts x86 to i386).

Another solution would be to get the architecture of a patch from the patchinfo file in the PATCH_ARCH field which in the case of this patch is "i386". I'm not sure the logic of using the README file and not the patchinfo file.

Thanks,
Scott

--- solaris2mpm.py.orig Wed Jul 22 10:13:40 2009
+++ solaris2mpm.py      Wed Jul 22 10:25:24 2009
@@ -939,7 +939,7 @@
             arch = "sparc"

     # fix the arch label
-    if arch in ("intel", "i86pc", "i386.i86pc", "i386 i386.i86pc"):
+    if arch in ("intel", "x86", "X86", "i86pc", "i386.i86pc", "i386 i386.i86pc"):
         arch = "i386"

     elif re.match(".*sun4.*", arch, re.IGNORECASE):




This event sent from IssueTracker by xdmoon  [SEG - RHN]
 issue 320981
Comment 7 Miroslav Suchý 2010-05-06 11:14:01 EDT
Partially fixed by BZ 569946 (commit d71dab20e42b8794c037d89578a9170597bf7095).
But I there was only added x86, I will add X86 too.
Commited to spacewalk-git as commit 63dc945b58821b4e51ca2cdd0e5d7ea9246bdf13
Comment 8 Miroslav Suchý 2010-05-18 10:48:50 EDT
Commited to satellite.git 
Commits: fd6ad0c538c35f9b94c566c8b99dad9ebfa9d347 .. b7a8c9eb94de4caabaaaceff82f8b4008ed3a207
And I had to cherrypick e7a174a368ee496f3a7928bedb0e46f2a1ceede4
Comment 9 Miroslav Suchý 2010-05-18 10:52:53 EDT
Err. Ignore comment #8. It was meant for different window.

Chery picked to satellite.git as commit c3c2c2241a262440f330ad871534e94570852696
Comment 13 Jaromir Hradilek 2010-09-02 16:57:00 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The solaris2mpm utility now recognizes both "x86" and "X86" as valid architecture strings.

Note You need to log in before you can comment on or make changes to this bug.